Subject: Re: bug#41729: jupyter cannot be installed

From: Edouard Klein <[email-masked]>
Date: Mon, 08 Jun 2020 07:55:43 +0200

This is my fault,

python-ipython accepts both python-prompt-toolkit-2 and the latest
version, python-prompt-toolkit (3), but some packages that depend on
ipython accept only python-prompt-toolkit-2.

I messed up with jupyter, I didn't realize that another input depended
on ipython also.

I'll try to fix it. I can't early this week, but I'll work on it
starting wednesday.

I'm sorry for the inconvenience.

Ricardo Wurmus writes:

> --8<---------------cut here---------------start------------->8---
> building /gnu/store/rb5cigrwvqgm87hxpf553g283lc2j6px-jupyter-1.0.0.drv...
> guix package: error: profile contains conflicting entries for python-ipython
> guix package: error:   first entry: [email-masked] /gnu/store/z0yarar134q6sziqncjdlfg2h2w5b2yh-python-ipython-7.9.0
> guix package: error:    ... propagated from [email-masked]
> guix package: error:    ... propagated from [email-masked]
> guix package: error:   second entry: [email-masked] /gnu/store/avmg5jd7kccchxadsd9c7zq0p3shlk3w-python-ipython-7.9.0
> guix package: error:    ... propagated from [email-masked]
> guix package: error:    ... propagated from [email-masked]
> hint: You cannot have two different versions or variants of `jupyter' in the same profile.
> --8<---------------cut here---------------end--------------->8---
>
> The reason here is that python-ipywidgets asks for
>
>     (prompt-toolkit-2-instead-of-prompt-toolkit python-ipython)
>
> whereas python-qtconsole just wants python-ipython.  The result is that
> two different variants of python-ipython are requested.